Subject: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: Drew Adams <[email-masked]>
Date: Thu, 6 Mar 2014 12:51:48 -0800 (PST)

> No.  I forgot that this function is not called unless the frame has at
> least two windows.  You could eval (window--dump-frame) immediately in
> the minibuffer window once before (saving the contents of the buffer
> elsewhere) and once immediately after a bad resize.

I tried that. This is what I got in *window-frame-dump*, FWIW:

frame pixel: 728 x 876   cols/lines: 104 x 73   units: 7 x 12
frame text pixel: 707 x 876   cols/lines: 101 x 73
tool: 0  scroll: 21  fringe: 0  border: 0  right: 2  bottom: 2

#<window 16 on throw-fit-frm.el>   parent: nil
pixel left: 0   top: 0   size: 728 x 876   new: 0
char left: 0   top: 0   size: 104 x 73   new: 0
normal: 1.0 x 1.0   new: 0
body pixel: 707 x 862   char: 101 x 71
width left fringe: 0  left margin: 0  right margin: 0
width right fringe: 0  scroll-bar: 21  divider: 0
height header-line: 0  mode-line: 14  divider: 0